import Vue from 'vue'
import App from './App'
import uView from '@/uni_modules/uview-ui'

// vuex store
import store from './store'
import mixin from './utils/mixin'

Vue.prototype.$store = store

Vue.config.productionTip = false
App.mpType = 'app'

// #ifdef MP
// 引入uView对小程序分享的mixin封装
const mpShare = require('@/uni_modules/uview-ui/libs/mixin/mpShare.js')
Vue.mixin(mpShare)
// #endif

// uView
Vue.use(uView)

Vue.mixin(mixin)

const app = new Vue({
  store,
  ...App
})

require('utils/request/index')(app)

app.$mount()
